curl --request POST \
--url https://api.omniall.ai/mj/submit/imagine \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "a red fox in misty forest, soft light --v 6"
}
'import requests
url = "https://api.omniall.ai/mj/submit/imagine"
payload = { "prompt": "a red fox in misty forest, soft light --v 6" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'a red fox in misty forest, soft light --v 6'})
};
fetch('https://api.omniall.ai/mj/submit/imagine', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": "<unknown>"
}{
"error": {
"message": "<string>",
"type": "new_api_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "new_api_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "new_api_error",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "new_api_error",
"code": "<string>"
}
}Midjourney Imagine
Create an Imagine task from a text prompt (and optional reference images in base64Array).
Base: https://api.omniall.ai + path. Auth: Authorization: Bearer sk-.... Tasks are async — use GET /mj/task/{id}/fetch.
Authorizations
Use Authorization: Bearer sk-... from https://omniall.ai/dashboard
Body
Midjourney proxy submit body (/mj/submit/*). Field usage depends on action (imagine/change/blend/…).
Imagine/describe prompt text.
"a red fox in misty forest --v 6"
Reference images as Base64 (blend/edits/imagine with refs).
Action type for change/simple-change/action endpoints (e.g. UPSCALE, VARIATION).
Button/index for upscale/variation (1–4 typically).
Existing MJ task id when continuing (change/action/modal).
Button customId from a previous task buttons payload.
Optional webhook URL for task completion callbacks.
Opaque client state echoed by the proxy.
Bot type when required by your MJ proxy deployment.
Extra content for some actions (modal/shorten).
Mask image Base64 for edits/inpaint-style flows.
Response
Submit accepted (async). Poll task fetch with returned task id.